### Signal

# Gtk DropTarget::motion

#### Declaration

    GdkDragAction
    motion (
      GtkDropTarget* self,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted while the pointer is moving over the drop target.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `GdkDragAction`

Preferred action for this drag operation or 0 if dropping is not supported at the current `x`,`y` location.